/***********************************************************
Copyright 1990 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute these examples for any
purpose and without fee is hereby granted, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation,
and that the name of Digital not be used in advertising or publicity
pertaining to distribution of the software without specific, written
prior permission.

DIGITAL AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS, IN NO EVENT SHALL DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
OR PERFORMANCE OF THIS SOFTWARE.

******************************************************************/

/* Make it safe to include this file more than once. */

#ifndef PUSHBUTTONP_H
#define PUSHBUTTONP_H

/* Include the public header file for Pushbutton */

#include "Pushbutton.h"

/* Include the private header file for Label, our superclass */

#include "LabelP.h"

/* Define a new, private resource */

#define XtNaccelString "accelString"
#define XtCAccelString "AccelString"

/* Define the Pushbutton instance part */

typedef struct {
  /* New resource fields */
    XtCallbackList callback;		/* Application callback */
    Pixel	insensitive_foreground;	/* Insensitive colors */
    Pixmap	insensitive_pixmap;
    Dimension	highlight_border;	/* Highlight border width */
    String	accelerator_string;	/* String for accelerator */

  /* New internal fields */
    GC		insensitive_gc;	  /* GC for displaying insensitive */
    GC		inverted_gc;	  /* GC for displaying inverted */
    Boolean	highlighted;	  /* Whether highlighted */
    Boolean	inverted;	  /* Whether inverted */
    Boolean	use_insens_pixel; /* Whether using insensitive pixel */
} PushbuttonPart;

/* Define the full instance record */

typedef struct _PushbuttonRec {
    CorePart		core;
    LabelPart		label;
    PushbuttonPart	pushbutton;
} PushbuttonRec;

/* Define class part structure */

typedef struct {
    XtPointer		extension;
} PushbuttonClassPart;

/* Define the full class record */

typedef struct _PushbuttonClassRec {
    CoreClassPart	core_class;
    LabelClassPart	label_class;
    PushbuttonClassPart	pushbutton_class;
} PushbuttonClassRec, *PushbuttonWidgetClass;

/* External definition for class record */

extern PushbuttonClassRec pushbuttonClassRec;

/* End of preprocessor directives */
#endif /* PUSHBUTTONP_H */
